
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <sys/time.h>
#include <netdb.h>
#include <string.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#ifndef MSG_CONFIRM
#define MSG_CONFIRM 0
#endif
#ifndef MSG_NOSIGNAL
#define MSG_NOSIGNAL 0
#endif
#ifndef MSG_DONTWAIT
#define MSG_DONTWAIT 0
#endif
#ifndef MSG_EOR
#define MSG_EOR 0
#endif

static void *
safe_buffer_pointer(cl_object x, cl_index size)
{
	cl_type t = type_of(x);
	int ok = 0;
	if (t == t_base_string) {
		ok = (size <= x->base_string.dim);
	} else if (t == t_vector) {
		cl_elttype aet = (cl_elttype)x->vector.elttype;
		if (aet == aet_b8 || aet == aet_i8 || aet == aet_bc) {
			ok = (size <= x->vector.dim);
		} else if (aet == aet_fix || aet == aet_index) {
			cl_index divisor = sizeof(cl_index);
			size = (size + divisor - 1) / divisor;
			ok = (size <= x->vector.dim);
		}
	}
	if (!ok) {
		FEerror("Lisp object is not a valid socket buffer: ~A", 1, x);
	}
	return (void *)x->vector.self.ch;
}


static void fill_inet_sockaddr(struct sockaddr_in *sockaddr, int port,
			       int a1, int a2, int a3, int a4)
{
#if defined(_MSC_VER) || defined(mingw32)
	memset(sockaddr,0,sizeof(struct sockaddr_in));
#else
	bzero(sockaddr,sizeof(struct sockaddr_in));
#endif
	sockaddr->sin_family = AF_INET;
	sockaddr->sin_port = htons(port);
	sockaddr->sin_addr.s_addr= htonl((uint32_t)a1<<24 | (uint32_t)a2<<16 | (uint32_t)a3<<8 | (uint32_t)a4) ;

}

#ifdef __cplusplus
extern "C" {
#endif
static cl_object LC1define_c_constants(cl_object , cl_object );
#define VT2 cl_object T0,T1,T2;
#define VLEX2
#define CLSR2
#define STCK2 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC2c_constant(cl_object , cl_object );
#ifdef __cplusplus
extern cl_object si_dm_too_few_arguments(...);
#else
extern cl_object si_dm_too_few_arguments();
#endif
#ifdef __cplusplus
extern cl_object si_check_arg_length(...);
#else
extern cl_object si_check_arg_length();
#endif
#define VT3
#define VLEX3
#define CLSR3
#define STCK3 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L3ff_socket(cl_object , cl_object , cl_object );
#define VT4
#define VLEX4
#define CLSR4
#define STCK4 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L4ff_listen(cl_object , cl_object );
#define VT5
#define VLEX5
#define CLSR5
#define STCK5 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L5ff_close(cl_object );
#define VT6
#define VLEX6
#define CLSR6
#define STCK6 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L7split(cl_narg, cl_object , ...);
#define VT7 cl_object T0;
#define VLEX7
#define CLSR7
#define STCK7 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object env0; cl_object CLV0;
static cl_object LC6is_ws(cl_narg, cl_object , cl_object , ...);
#define VT8
#define VLEX8
#define CLSR8
#define STCK8 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0;
#ifdef __cplusplus
extern cl_object clos_ensure_class(...);
#else
extern cl_object clos_ensure_class();
#endif
#ifdef __cplusplus
extern cl_object clos_install_method(...);
#else
extern cl_object clos_install_method();
#endif
static cl_object LC8__g25231(cl_object );
#define VT9 cl_object T0;
#define VLEX9
#define CLSR9
#define STCK9 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L9get_host_by_name(cl_object );
#define VT10 cl_object T0,T1,T2,T3;
#define VLEX10
#define CLSR10
#define STCK10 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L12get_host_by_address(cl_object volatile );
#define VT11 cl_object T0,T1,T2,T3;
#define VLEX11
#define CLSR11
#define STCK11 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object volatile env0; cl_object volatile CLV0,CLV1;
static cl_object LC10__g25239(cl_narg, cl_object , ...);
#define VT12
#define VLEX12
#define CLSR12
#define STCK12 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC11__g25240(cl_object );
#define VT13
#define VLEX13
#define CLSR13
#define STCK13 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC13__g25246();
#define VT14
#define VLEX14
#define CLSR14
#define STCK14 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC15__g25247(cl_object , cl_object );
#define VT15
#define VLEX15
#define CLSR15
#define STCK15 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object env0; cl_object CLV0,CLV1;
static cl_object LC14si___print_unreadable_object_body_(cl_narg, cl_object , ...);
#ifdef __cplusplus
extern cl_object cl_slot_value(...);
#else
extern cl_object cl_slot_value();
#endif
#define VT16 cl_object T0;
#define VLEX16
#define CLSR16
#define STCK16 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC16__g25262(cl_narg, cl_object , cl_object , ...);
#define LC16__g25262keys (&VV[187])
#ifdef __cplusplus
extern cl_object cl_slot_boundp(...);
#else
extern cl_object cl_slot_boundp();
#endif
#ifdef __cplusplus
extern cl_object si_ecase_error(...);
#else
extern cl_object si_ecase_error();
#endif
#define VT17 cl_object T0,T1;
#define VLEX17
#define CLSR17
#define STCK17 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC17__g25274(cl_object , cl_object );
#define VT18 cl_object T0;
#define VLEX18
#define CLSR18
#define STCK18 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC18__g25275(cl_object );
#define VT19 cl_object T0;
#define VLEX19
#define CLSR19
#define STCK19 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC19__g25282(cl_object );
#ifdef __cplusplus
extern cl_object cl_slot_makunbound(...);
#else
extern cl_object cl_slot_makunbound();
#endif
#define VT20 cl_object T0;
#define VLEX20
#define CLSR20
#define STCK20 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC20__g25286(cl_narg, cl_object , cl_object , cl_object , ...);
#define LC20__g25286keys (&VV[193])
#define VT21 cl_object T0;
#define VLEX21
#define CLSR21
#define STCK21 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L21get_protocol_by_name(cl_object );
#define VT22
#define VLEX22
#define CLSR22
#define STCK22 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L22make_inet_address(cl_object );
#define VT23 cl_object T0,T1;
#define VLEX23
#define CLSR23
#define STCK23 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC23__g25290();
#define VT24
#define VLEX24
#define CLSR24
#define STCK24 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L24make_inet_socket(cl_object , cl_object );
#define VT25
#define VLEX25
#define CLSR25
#define STCK25 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC27__g25303(volatile cl_narg, cl_object volatile , ...);
#define VT26 cl_object T0,T1,T2;
#define VLEX26
#define CLSR26
#define STCK26 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object volatile env0; cl_object volatile CLV0,CLV1;
static cl_object LC25__g25309(cl_narg, cl_object , ...);
#define VT27
#define VLEX27
#define CLSR27
#define STCK27 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC26__g25310(cl_object );
#define VT28
#define VLEX28
#define CLSR28
#define STCK28 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC28__g25314(cl_object );
#define VT29 cl_object T0,T1,T2,T3;
#define VLEX29
#define CLSR29
#define STCK29 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC29__g25315(cl_narg, cl_object , ...);
#define VT30 cl_object T0,T1;
#define VLEX30
#define CLSR30
#define STCK30 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC30__g25316(cl_object );
#define VT31
#define VLEX31
#define CLSR31
#define STCK31 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC31__g25317(cl_object );
#define VT32
#define VLEX32
#define CLSR32
#define STCK32 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC36__g25338(volatile cl_narg, cl_object volatile , cl_object volatile , cl_object volatile , ...);
#define LC36__g25338keys (&VV[199])
#define VT33 cl_object T0,T1,T2,T3,T4;
#define VLEX33
#define CLSR33
#define STCK33 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object volatile env0; cl_object volatile CLV0,CLV1;
static cl_object LC32__g25344(cl_narg, cl_object , ...);
#define VT34
#define VLEX34
#define CLSR34
#define STCK34 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC33__g25345(cl_object );
#define VT35
#define VLEX35
#define CLSR35
#define STCK35 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC34__g25353(cl_narg, cl_object , ...);
#define VT36
#define VLEX36
#define CLSR36
#define STCK36 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC35__g25354(cl_object );
#define VT37
#define VLEX37
#define CLSR37
#define STCK37 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC37__g25356();
#define VT38
#define VLEX38
#define CLSR38
#define STCK38 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC40__g25369(volatile cl_narg, cl_object volatile , ...);
#define VT39 cl_object T0,T1,T2;
#define VLEX39
#define CLSR39
#define STCK39 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object volatile env0; cl_object volatile CLV0,CLV1;
static cl_object LC41__g25381(cl_object );
#define VT40 cl_object T0,T1,T2,T3;
#define VLEX40
#define CLSR40
#define STCK40 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC44__g25394(volatile cl_narg, cl_object volatile , ...);
#define VT41 cl_object T0,T1,T2;
#define VLEX41
#define CLSR41
#define STCK41 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object volatile env0; cl_object volatile CLV0,CLV1;
static cl_object LC45__g25406(cl_object );
#define VT42
#define VLEX42
#define CLSR42
#define STCK42 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC38__g25375(cl_narg, cl_object , ...);
#define VT43
#define VLEX43
#define CLSR43
#define STCK43 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC39__g25376(cl_object );
#define VT44
#define VLEX44
#define CLSR44
#define STCK44 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC42__g25400(cl_narg, cl_object , ...);
#define VT45
#define VLEX45
#define CLSR45
#define STCK45 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC43__g25401(cl_object );
#define VT46
#define VLEX46
#define CLSR46
#define STCK46 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC46__g25407(cl_object );
#define VT47 cl_object T0;
#define VLEX47
#define CLSR47
#define STCK47 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC47__g25408(cl_object , cl_object );
#define VT48 cl_object T0;
#define VLEX48
#define CLSR48
#define STCK48 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L50make_stream_from_fd(volatile cl_narg, cl_object volatile , cl_object volatile , cl_object volatile , ...);
#define VT49 cl_object T0,T1,T2;
#define VLEX49
#define CLSR49
#define STCK49 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object volatile env0; cl_object volatile CLV0,CLV1;
static cl_object LC48__g25415(cl_narg, cl_object , ...);
#define VT50
#define VLEX50
#define CLSR50
#define STCK50 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 }; cl_object CLV0,CLV1;
static cl_object LC49__g25416(cl_object );
#define VT51
#define VLEX51
#define CLSR51
#define STCK51 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC51__g25431(cl_narg, cl_object , ...);
#define LC51__g25431keys (&VV[208])
#define VT52
#define VLEX52
#define CLSR52
#define STCK52 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC52__g25436(cl_object , cl_object );
#define VT53 cl_object T0,T1,T2;
#define VLEX53
#define CLSR53
#define STCK53 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC53define_socket_condition(cl_object , cl_object );
#define VT54 cl_object T0,T1,T2,T3,T4,T5,T6,T7,T8,T9;
#define VLEX54
#define CLSR54
#define STCK54 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L54condition_for_errno(cl_object );
#define VT55 cl_object T0;
#define VLEX55
#define CLSR55
#define STCK55 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L55socket_error(cl_object );
#define VT56
#define VLEX56
#define CLSR56
#define STCK56 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L56name_service_error(cl_object );
#define VT57 cl_object T0;
#define VLEX57
#define CLSR57
#define STCK57 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC57__g25461(cl_object , cl_object );
#define VT58 cl_object T0,T1,T2;
#define VLEX58
#define CLSR58
#define STCK58 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC58define_name_service_condition(cl_object , cl_object );
#define VT59 cl_object T0,T1,T2,T3,T4,T5,T6,T7,T8,T9;
#define VLEX59
#define CLSR59
#define STCK59 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L59condition_for_name_service_errno(cl_object );
#define VT60 cl_object T0;
#define VLEX60
#define CLSR60
#define STCK60 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L60get_name_service_errno();
#define VT61
#define VLEX61
#define CLSR61
#define STCK61 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L61get_name_service_error_message(cl_object );
#define VT62
#define VLEX62
#define CLSR62
#define STCK62 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L62get_sockopt_int(cl_object , cl_object );
#define VT63 cl_object T0;
#define VLEX63
#define CLSR63
#define STCK63 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L63get_sockopt_bool(cl_object , cl_object );
#define VT64 cl_object T0;
#define VLEX64
#define CLSR64
#define STCK64 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L64get_sockopt_timeval(cl_object , cl_object );
#define VT65 cl_object T0;
#define VLEX65
#define CLSR65
#define STCK65 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L65set_sockopt_int(cl_object , cl_object , cl_object );
#define VT66 cl_object T0;
#define VLEX66
#define CLSR66
#define STCK66 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L66set_sockopt_bool(cl_object , cl_object , cl_object );
#define VT67 cl_object T0;
#define VLEX67
#define CLSR67
#define STCK67 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L67set_sockopt_timeval(cl_object , cl_object , cl_object );
#define VT68 cl_object T0;
#define VLEX68
#define CLSR68
#define STCK68 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object LC68define_sockopt(cl_object , cl_object );
#define VT69 cl_object T0,T1,T2,T3,T4,T5,T6,T7,T8,T9,T10,T11,T12,T13;
#define VLEX69
#define CLSR69
#define STCK69 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L69sockopt_type(cl_object );
#define VT70 cl_object T0,T1;
#define VLEX70
#define CLSR70
#define STCK70 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L70sockopt_receive_buffer(cl_object );
#define VT71 cl_object T0,T1;
#define VLEX71
#define CLSR71
#define STCK71 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L71_setf_sockopt_receive_buffer_(cl_object , cl_object );
#define VT72 cl_object T0,T1;
#define VLEX72
#define CLSR72
#define STCK72 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L72sockopt_receive_timeout(cl_object );
#define VT73 cl_object T0,T1;
#define VLEX73
#define CLSR73
#define STCK73 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L73_setf_sockopt_receive_timeout_(cl_object , cl_object );
#define VT74 cl_object T0,T1;
#define VLEX74
#define CLSR74
#define STCK74 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L74sockopt_send_timeout(cl_object );
#define VT75 cl_object T0,T1;
#define VLEX75
#define CLSR75
#define STCK75 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L75_setf_sockopt_send_timeout_(cl_object , cl_object );
#define VT76 cl_object T0,T1;
#define VLEX76
#define CLSR76
#define STCK76 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L76sockopt_reuse_address(cl_object );
#define VT77 cl_object T0,T1;
#define VLEX77
#define CLSR77
#define STCK77 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L77_setf_sockopt_reuse_address_(cl_object , cl_object );
#define VT78 cl_object T0,T1;
#define VLEX78
#define CLSR78
#define STCK78 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L78sockopt_keep_alive(cl_object );
#define VT79 cl_object T0,T1;
#define VLEX79
#define CLSR79
#define STCK79 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L79_setf_sockopt_keep_alive_(cl_object , cl_object );
#define VT80 cl_object T0,T1;
#define VLEX80
#define CLSR80
#define STCK80 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L80socket_dont_route(cl_object );
#define VT81 cl_object T0,T1;
#define VLEX81
#define CLSR81
#define STCK81 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L81_setf_socket_dont_route_(cl_object , cl_object );
#define VT82 cl_object T0,T1;
#define VLEX82
#define CLSR82
#define STCK82 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L82socket_linger(cl_object );
#define VT83 cl_object T0,T1;
#define VLEX83
#define CLSR83
#define STCK83 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L83_setf_socket_linger_(cl_object , cl_object );
#define VT84 cl_object T0,T1;
#define VLEX84
#define CLSR84
#define STCK84 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L84sockopt_tcp_nodelay(cl_object );
#define VT85 cl_object T0,T1;
#define VLEX85
#define CLSR85
#define STCK85 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object L85_setf_sockopt_tcp_nodelay_(cl_object , cl_object );
#define VT86 cl_object T0,T1;
#define VLEX86
#define CLSR86
#define STCK86 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
#define VT1 cl_object T0,T1,T2,T3,T4,T5;
#define VLEX1
#define CLSR1
#define STCK1 cl_object __frame_sp[10]; struct ecl_stack_frame __frame = { t_frame, 0, 0, 0, __frame_sp, 0, 0 };
static cl_object Cblock;
#define VM1 6
#define VM86 2
#define VM85 2
#define VM84 2
#define VM83 2
#define VM82 2
#define VM81 2
#define VM80 2
#define VM79 2
#define VM78 2
#define VM77 2
#define VM76 2
#define VM75 2
#define VM74 2
#define VM73 2
#define VM72 2
#define VM71 2
#define VM70 2
#define VM69 14
#define VM68 1
#define VM67 1
#define VM66 1
#define VM65 1
#define VM64 1
#define VM63 1
#define VM62 0
#define VM61 0
#define VM60 1
#define VM59 10
#define VM58 3
#define VM57 1
#define VM56 0
#define VM55 1
#define VM54 10
#define VM53 3
#define VM52 0
#define VM51 0
#define VM50 0
#define VM49 3
#define VM48 1
#define VM47 1
#define VM46 0
#define VM45 0
#define VM44 0
#define VM43 0
#define VM42 0
#define VM41 3
#define VM40 4
#define VM39 3
#define VM38 0
#define VM37 0
#define VM36 0
#define VM35 0
#define VM34 0
#define VM33 5
#define VM32 0
#define VM31 0
#define VM30 2
#define VM29 4
#define VM28 0
#define VM27 0
#define VM26 3
#define VM25 0
#define VM24 0
#define VM23 2
#define VM22 0
#define VM21 1
#define VM20 1
#define VM19 1
#define VM18 1
#define VM17 2
#define VM16 1
#define VM15 0
#define VM14 0
#define VM13 0
#define VM12 0
#define VM11 4
#define VM10 4
#define VM9 1
#define VM8 0
#define VM7 1
#define VM6 0
#define VM5 0
#define VM4 0
#define VM3 0
#define VM2 3
#define VM 213
#define VMtemp 83
#ifdef ECL_DYNAMIC_VV
static cl_object *VV;
#else
static cl_object VV[VM];
#endif
static cl_object LKF18name_service_error_symbol(cl_narg, ...);
static cl_object (*LK18name_service_error_symbol)(cl_narg, ...)=LKF18name_service_error_symbol;
static cl_object LKF17name_service_error_syscall(cl_narg, ...);
static cl_object (*LK17name_service_error_syscall)(cl_narg, ...)=LKF17name_service_error_syscall;
static cl_object LKF16name_service_error_errno(cl_narg, ...);
static cl_object (*LK16name_service_error_errno)(cl_narg, ...)=LKF16name_service_error_errno;
static cl_object LKF15socket_error_symbol(cl_narg, ...);
static cl_object (*LK15socket_error_symbol)(cl_narg, ...)=LKF15socket_error_symbol;
static cl_object LKF14socket_error_syscall(cl_narg, ...);
static cl_object (*LK14socket_error_syscall)(cl_narg, ...)=LKF14socket_error_syscall;
static cl_object LKF13socket_error_errno(cl_narg, ...);
static cl_object (*LK13socket_error_errno)(cl_narg, ...)=LKF13socket_error_errno;
static cl_object LKF12socket_protocol(cl_narg, ...);
static cl_object (*LK12socket_protocol)(cl_narg, ...)=LKF12socket_protocol;
static cl_object LKF11si__coerce_to_condition(cl_narg, ...);
static cl_object (*LK11si__coerce_to_condition)(cl_narg, ...)=LKF11si__coerce_to_condition;
static cl_object LKF10socket_close_low_level(cl_narg, ...);
static cl_object (*LK10socket_close_low_level)(cl_narg, ...)=LKF10socket_close_low_level;
static cl_object LKF9socket_type(cl_narg, ...);
static cl_object (*LK9socket_type)(cl_narg, ...)=LKF9socket_type;
static cl_object LKF8socket_family(cl_narg, ...);
static cl_object (*LK8socket_family)(cl_narg, ...)=LKF8socket_family;
static cl_object LKF7socket_file_descriptor(cl_narg, ...);
static cl_object (*LK7socket_file_descriptor)(cl_narg, ...)=LKF7socket_file_descriptor;
static cl_object LKF6si__print_unreadable_object_function(cl_narg, ...);
static cl_object (*LK6si__print_unreadable_object_function)(cl_narg, ...)=LKF6si__print_unreadable_object_function;
static cl_object LKF5si__assert_report(cl_narg, ...);
static cl_object (*LK5si__assert_report)(cl_narg, ...)=LKF5si__assert_report;
static cl_object LKF4si__assert_prompt(cl_narg, ...);
static cl_object (*LK4si__assert_prompt)(cl_narg, ...)=LKF4si__assert_prompt;
static cl_object LKF3si__simple_assertion_failure(cl_narg, ...);
static cl_object (*LK3si__simple_assertion_failure)(cl_narg, ...)=LKF3si__simple_assertion_failure;
static cl_object LKF2si__make_restart(cl_narg, ...);
static cl_object (*LK2si__make_restart)(cl_narg, ...)=LKF2si__make_restart;
static cl_object LKF1make_instance(cl_narg, ...);
static cl_object (*LK1make_instance)(cl_narg, ...)=LKF1make_instance;
static cl_object LKF0host_ent_addresses(cl_narg, ...);
static cl_object (*LK0host_ent_addresses)(cl_narg, ...)=LKF0host_ent_addresses;
#ifdef __cplusplus
}
#endif
