
#include <ecl/ecl-cmp.h>
#include "/builddir/build/BUILD/ecl-0.9l/build/lsp/numlib.h"
/*	function definition for ISQRT                                 */
cl_object cl_isqrt(cl_narg narg, cl_object V1, ...)
{ VT2 VLEX2 CLSR2 STCK2
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(type_of(V1)==t_fixnum||type_of(V1)==t_bignum)){
	goto L43;}
	if(ecl_number_compare(V1,MAKE_FIXNUM(0))>=0){
	goto L42;}
L43:;
	(void)cl_error(5,ECL_SYM("TYPE-ERROR",868),ECL_SYM("DATUM",1187),V1,ECL_SYM("EXPECTED-TYPE",1205),ECL_SYM("UNSIGNED-BYTE",883)) /*  ERROR */;
L42:;
	if(!(ecl_zerop(V1))){
	goto L48;}
	value0=MAKE_FIXNUM(0); NVALUES=1;
	return value0;
L48:;
	{cl_fixnum V2;                            /*  N                                               */
	V2= ecl_to_fixnum(cl_integer_length(V1)   /*  INTEGER-LENGTH         */);
	{cl_object V3;                            /*  X                                               */
	cl_object V4;                             /*  Y                                                */
	T0= cl_ceiling(2,MAKE_FIXNUM(V2),MAKE_FIXNUM(2)) /*  CEILING       */;
	V3= cl_ash(MAKE_FIXNUM(1),T0)             /*  ASH                              */;
	V4= Cnil;
	goto L56;
L55:;
	V4= cl_floor(2,V1,V3)                     /*  FLOOR                                    */;
	if(!(ecl_number_compare(V3,V4)<=0)){
	goto L60;}
	value0=V3; NVALUES=1;
	return value0;
L60:;
	{cl_object V5= ecl_plus(V3,V4);
	V3= cl_floor(2,V5,MAKE_FIXNUM(2))         /*  FLOOR                        */;}
L56:;
	goto L55;
	value0=Cnil; NVALUES=1;
	return value0;
	}
	}
}}
/*	function definition for PHASE                                 */
cl_object cl_phase(cl_narg narg, cl_object V1, ...)
{ VT3 VLEX3 CLSR3 STCK3
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ecl_zerop(V1))){
	goto L70;}
	if(!((V1)==(MAKE_FIXNUM(0)))){
	goto L73;}
	value0=VV[1]; NVALUES=1;
	return value0;
L73:;
	T0= cl_realpart(V1)                       /*  REALPART                                   */;
	value0=cl_float(2,MAKE_FIXNUM(0),T0)      /*  FLOAT                     */;
	return value0;
L70:;
	T0= cl_imagpart(V1)                       /*  IMAGPART                                   */;
	T1= cl_realpart(V1)                       /*  REALPART                                   */;
	value0=cl_atan(2,T0,T1)                   /*  ATAN                                   */;
	return value0;
}}
/*	function definition for SIGNUM                                */
cl_object cl_signum(cl_narg narg, cl_object V1, ...)
{ VT4 VLEX4 CLSR4 STCK4
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ecl_zerop(V1))){
	goto L82;}
	value0=V1; NVALUES=1;
	return value0;
L82:;
	T0= cl_abs(V1)                            /*  ABS                                             */;
	value0=ecl_divide(V1,T0); NVALUES=1;
	return value0;
}}
/*	function definition for CIS                                   */
cl_object cl_cis(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_object V2= ecl_times(ecl_symbol_value(VV[0]),V1);
	value0=cl_exp(V2)                         /*  EXP                                          */;
	return value0;}
}}
/*	function definition for ASIN                                  */
cl_object cl_asin(cl_narg narg, cl_object V1, ...)
{ VT6 VLEX6 CLSR6 STCK6
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP                                   */)==Cnil){
	goto L93;}
	value0=L1complex_asin(V1)                 /*  COMPLEX-ASIN                         */;
	return value0;
L93:;
	{cl_object V2;                            /*  X                                               */
	double V3;                                /*  XR                                                  */
	V2= cl_float(1,V1)                        /*  FLOAT                                       */;
	V3= ecl_to_double(V2);
	if(!((   -1.    )<=(V3))){
	goto L98;}
	if(!((V3)<=(    1.    ))){
	goto L98;}
	T0= ecl_make_doublefloat(asin(V3));
	value0=cl_float(2,T0,V2)                  /*  FLOAT                                 */;
	return value0;
L98:;
	value0=L1complex_asin(V2)                 /*  COMPLEX-ASIN                         */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ASIN                          */
static cl_object L1complex_asin(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	cl_object value0;
	{
TTL:
	{cl_object V2;                            /*  SQRT-1-Z                                        */
	cl_object V3;                             /*  SQRT-1+Z                                         */
	{cl_object V4= ecl_minus(MAKE_FIXNUM(1),V1);
	V2= cl_sqrt(V4)                           /*  SQRT                                           */;}
	{cl_object V4= ecl_plus(MAKE_FIXNUM(1),V1);
	V3= cl_sqrt(V4)                           /*  SQRT                                           */;}
	T0= cl_realpart(V1)                       /*  REALPART                                   */;
	{cl_object V4= ecl_times(V2,V3);
	T1= cl_realpart(V4)                       /*  REALPART                                   */;
	T2= cl_atan(2,T0,T1)                      /*  ATAN                                      */;
	T3= cl_conjugate(V2)                      /*  CONJUGATE                                 */;
	{cl_object V5= ecl_times(T3,V3);
	T4= cl_imagpart(V5)                       /*  IMAGPART                                   */;
	T5= cl_asinh(1,T4)                        /*  ASINH                                       */;
	value0=cl_complex(2,T2,T5)                /*  COMPLEX                             */;
	return value0;}}
	}
}}
/*	function definition for ACOS                                  */
cl_object cl_acos(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP                                   */)==Cnil){
	goto L119;}
	value0=L2complex_acos(V1)                 /*  COMPLEX-ACOS                         */;
	return value0;
L119:;
	{cl_object V2;                            /*  X                                               */
	double V3;                                /*  XR                                                  */
	V2= cl_float(1,V1)                        /*  FLOAT                                       */;
	V3= ecl_to_double(V2);
	if(!((   -1.    )<=(V3))){
	goto L124;}
	if(!((V3)<=(    1.    ))){
	goto L124;}
	T0= ecl_make_doublefloat(acos(V3));
	T1= cl_float(1,V2)                        /*  FLOAT                                       */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT                                 */;
	return value0;
L124:;
	value0=L2complex_acos(V2)                 /*  COMPLEX-ACOS                         */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ACOS                          */
static cl_object L2complex_acos(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	cl_object value0;
	{
TTL:
	{cl_object V2;                            /*  SQRT-1+Z                                        */
	cl_object V3;                             /*  SQRT-1-Z                                         */
	{cl_object V4= ecl_plus(MAKE_FIXNUM(1),V1);
	V2= cl_sqrt(V4)                           /*  SQRT                                           */;}
	{cl_object V4= ecl_minus(MAKE_FIXNUM(1),V1);
	V3= cl_sqrt(V4)                           /*  SQRT                                           */;}
	T0= cl_realpart(V3)                       /*  REALPART                                   */;
	T1= cl_realpart(V2)                       /*  REALPART                                   */;
	T2= cl_atan(2,T0,T1)                      /*  ATAN                                      */;
	{cl_object V4= ecl_times(MAKE_FIXNUM(2),T2);
	T3= cl_conjugate(V2)                      /*  CONJUGATE                                 */;
	{cl_object V5= ecl_times(T3,V3);
	T4= cl_imagpart(V5)                       /*  IMAGPART                                   */;
	T5= cl_asinh(1,T4)                        /*  ASINH                                       */;
	value0=cl_complex(2,V4,T5)                /*  COMPLEX                             */;
	return value0;}}
	}
}}
/*	function definition for ASINH                                 */
cl_object cl_asinh(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP                                   */)==Cnil){
	goto L146;}
	{cl_object V2;                            /*  IZ                                              */
	cl_object V3;                             /*  RESULT                                           */
	T0= cl_imagpart(V1)                       /*  IMAGPART                                   */;
	{cl_object V4= ecl_negate(T0);
	T1= cl_realpart(V1)                       /*  REALPART                                   */;
	V2= cl_complex(2,V4,T1)                   /*  COMPLEX                                */;}
	V3= L1complex_asin(V2)                    /*  COMPLEX-ASIN                            */;
	T0= cl_imagpart(V3)                       /*  IMAGPART                                   */;
	T1= cl_realpart(V3)                       /*  REALPART                                   */;
	{cl_object V4= ecl_negate(T1);
	value0=cl_complex(2,T0,V4)                /*  COMPLEX                             */;
	return value0;}
	}
L146:;
	T0= ecl_make_doublefloat(asinh(ecl_to_double(V1)));
	T1= cl_float(1,V1)                        /*  FLOAT                                       */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT                                 */;
	return value0;
}}
/*	function definition for ACOSH                                 */
cl_object cl_acosh(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP                                   */)==Cnil){
	goto L160;}
	value0=L3complex_acosh(V1)                /*  COMPLEX-ACOSH                       */;
	return value0;
L160:;
	{cl_object V2;                            /*  X                                               */
	double V3;                                /*  XR                                                  */
	V2= cl_float(1,V1)                        /*  FLOAT                                       */;
	V3= ecl_to_double(V2);
	if(!((    1.    )<=(V3))){
	goto L165;}
	T0= ecl_make_doublefloat(acosh(V3));
	T1= cl_float(1,V2)                        /*  FLOAT                                       */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT                                 */;
	return value0;
L165:;
	value0=L3complex_acosh(V2)                /*  COMPLEX-ACOSH                       */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ACOSH                         */
static cl_object L3complex_acosh(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	cl_object value0;
	{
TTL:
	{cl_object V2;                            /*  SQRT-Z-1                                        */
	cl_object V3;                             /*  SQRT-Z+1                                         */
	{cl_object V4= ecl_minus(V1,MAKE_FIXNUM(1));
	V2= cl_sqrt(V4)                           /*  SQRT                                           */;}
	{cl_object V4= ecl_plus(V1,MAKE_FIXNUM(1));
	V3= cl_sqrt(V4)                           /*  SQRT                                           */;}
	T0= cl_conjugate(V2)                      /*  CONJUGATE                                 */;
	{cl_object V4= ecl_times(T0,V3);
	T1= cl_realpart(V4)                       /*  REALPART                                   */;
	T2= cl_asinh(1,T1)                        /*  ASINH                                       */;
	T3= cl_imagpart(V2)                       /*  IMAGPART                                   */;
	T4= cl_realpart(V3)                       /*  REALPART                                   */;
	T5= cl_atan(2,T3,T4)                      /*  ATAN                                      */;
	{cl_object V5= ecl_times(MAKE_FIXNUM(2),T5);
	value0=cl_complex(2,T2,V5)                /*  COMPLEX                             */;
	return value0;}}
	}
}}
/*	function definition for ATANH                                 */
cl_object cl_atanh(cl_narg narg, cl_object V1, ...)
{ VT13 VLEX13 CLSR13 STCK13
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	if((cl_complexp(V1)                       /*  COMPLEXP                                   */)==Cnil){
	goto L185;}
	value0=L4complex_atanh(V1)                /*  COMPLEX-ATANH                       */;
	return value0;
L185:;
	{cl_object V2;                            /*  X                                               */
	double V3;                                /*  XR                                                  */
	V2= cl_float(1,V1)                        /*  FLOAT                                       */;
	V3= ecl_to_double(V2);
	if(!((   -1.    )<=(V3))){
	goto L190;}
	if(!((V3)<=(    1.    ))){
	goto L190;}
	T0= ecl_make_doublefloat(atanh(V3));
	T1= cl_float(1,V2)                        /*  FLOAT                                       */;
	value0=cl_float(2,T0,T1)                  /*  FLOAT                                 */;
	return value0;
L190:;
	value0=L4complex_atanh(V2)                /*  COMPLEX-ATANH                       */;
	return value0;
	}
}}
/*	function definition for COMPLEX-ATANH                         */
static cl_object L4complex_atanh(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	cl_object value0;
	{
TTL:
	{cl_object V2= ecl_one_plus(V1);
	T0= cl_log(1,V2)                          /*  LOG                                           */;
	{cl_object V3= ecl_minus(MAKE_FIXNUM(1),V1);
	T1= cl_log(1,V3)                          /*  LOG                                           */;
	{cl_object V4= ecl_minus(T0,T1);
	value0=ecl_divide(V4,MAKE_FIXNUM(2)); NVALUES=1;
	return value0;}}}
}}
/*	function definition for FFLOOR                                */
cl_object cl_ffloor(cl_narg narg, cl_object V1, ...)
{ VT15 VLEX15 CLSR15 STCK15
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= MAKE_FIXNUM(1);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	VALUES(0)=cl_floor(2,V1,V2)               /*  FLOOR                              */;
	{
	cl_object V4;                             /*  I                                                */
	cl_object V5;                             /*  R                                                */
	V4= VALUES(0);
	V5= VALUES(1);
	if(!(floatp(V5))){
	goto L209;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT                                    */;
	goto L207;
L209:;
	T0= cl_float(1,V4)                        /*  FLOAT                                       */;
L207:;
	NVALUES=2;
	VALUES(1)=V5;
	VALUES(0)=T0;
	return VALUES(0);}
}}
/*	function definition for FCEILING                              */
cl_object cl_fceiling(cl_narg narg, cl_object V1, ...)
{ VT16 VLEX16 CLSR16 STCK16
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= VV[4];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	VALUES(0)=cl_ceiling(2,V1,V2)             /*  CEILING                          */;
	{
	cl_object V4;                             /*  I                                                */
	cl_object V5;                             /*  R                                                */
	V4= VALUES(0);
	V5= VALUES(1);
	if(!(floatp(V5))){
	goto L218;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT                                    */;
	goto L216;
L218:;
	T0= cl_float(1,V4)                        /*  FLOAT                                       */;
L216:;
	NVALUES=2;
	VALUES(1)=V5;
	VALUES(0)=T0;
	return VALUES(0);}
}}
/*	function definition for FTRUNCATE                             */
cl_object cl_ftruncate(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= VV[4];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	VALUES(0)=cl_truncate(2,V1,V2)            /*  TRUNCATE                        */;
	{
	cl_object V4;                             /*  I                                                */
	cl_object V5;                             /*  R                                                */
	V4= VALUES(0);
	V5= VALUES(1);
	if(!(floatp(V5))){
	goto L227;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT                                    */;
	goto L225;
L227:;
	T0= cl_float(1,V4)                        /*  FLOAT                                       */;
L225:;
	NVALUES=2;
	VALUES(1)=V5;
	VALUES(0)=T0;
	return VALUES(0);}
}}
/*	function definition for FROUND                                */
cl_object cl_fround(cl_narg narg, cl_object V1, ...)
{ VT18 VLEX18 CLSR18 STCK18
	cl_object value0;
	if(narg<1) FEwrong_num_arguments_anonym();
	if(narg>2) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);{int i=1;
	if (i >= narg) {
	V2= VV[4];
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	VALUES(0)=cl_round(2,V1,V2)               /*  ROUND                              */;
	{
	cl_object V4;                             /*  I                                                */
	cl_object V5;                             /*  R                                                */
	V4= VALUES(0);
	V5= VALUES(1);
	if(!(floatp(V5))){
	goto L236;}
	T0= cl_float(2,V4,V5)                     /*  FLOAT                                    */;
	goto L234;
L236:;
	T0= cl_float(1,V4)                        /*  FLOAT                                       */;
L234:;
	NVALUES=2;
	VALUES(1)=V5;
	VALUES(0)=T0;
	return VALUES(0);}
}}
/*	function definition for LOGTEST                               */
cl_object cl_logtest(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT19 VLEX19 CLSR19 STCK19
	cl_object value0;
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	{cl_object V3= ecl_boole(ECL_BOOLAND,(V1),(V2));
	{bool V4= ecl_zerop(V3);
	value0=(((((V4)?Ct:Cnil))==Cnil)?Ct:Cnil); NVALUES=1;
	return value0;}}
}}
/*	function definition for BYTE                                  */
cl_object cl_byte(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT20 VLEX20 CLSR20 STCK20
	cl_object value0;
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=CONS(V1,V2); NVALUES=1;
	return value0;
}}
/*	function definition for BYTE-SIZE                             */
cl_object cl_byte_size(cl_narg narg, cl_object V1, ...)
{ VT21 VLEX21 CLSR21 STCK21
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_car(V1)                         /*  CAR                                          */;
	return value0;
}}
/*	function definition for BYTE-POSITION                         */
cl_object cl_byte_position(cl_narg narg, cl_object V1, ...)
{ VT22 VLEX22 CLSR22 STCK22
	cl_object value0;
	if(narg!=1) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_cdr(V1)                         /*  CDR                                          */;
	return value0;
}}
/*	function definition for LDB                                   */
cl_object cl_ldb(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT23 VLEX23 CLSR23 STCK23
	cl_object value0;
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_byte_position(1,V1)                /*  BYTE-POSITION                       */;
	{cl_object V3= ecl_negate(T0);
	T1= cl_ash(V2,V3)                         /*  ASH                                          */;
	T2= cl_byte_size(1,V1)                    /*  BYTE-SIZE                               */;
	T3= cl_ash(MAKE_FIXNUM(1),T2)             /*  ASH                              */;
	{cl_object V4= ecl_negate(T3);
	value0=ecl_boole(ECL_BOOLANDC2,(T1),(V4)); NVALUES=1;
	return value0;}}
}}
/*	function definition for LDB-TEST                              */
cl_object cl_ldb_test(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT24 VLEX24 CLSR24 STCK24
	cl_object value0;
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_ldb(2,V1,V2)                       /*  LDB                                        */;
	{bool V3= ecl_zerop(T0);
	value0=(((((V3)?Ct:Cnil))==Cnil)?Ct:Cnil); NVALUES=1;
	return value0;}
}}
/*	function definition for MASK-FIELD                            */
cl_object cl_mask_field(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT25 VLEX25 CLSR25 STCK25
	cl_object value0;
	if(narg!=2) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_ldb(2,V1,V2)                       /*  LDB                                        */;
	T1= cl_byte_position(1,V1)                /*  BYTE-POSITION                       */;
	value0=cl_ash(T0,T1)                      /*  ASH                                       */;
	return value0;
}}
/*	function definition for DPB                                   */
cl_object cl_dpb(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT26 VLEX26 CLSR26 STCK26
	cl_object value0;
	if(narg!=3) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_mask_field(2,V2,V3)                /*  MASK-FIELD                          */;
	T1= cl_byte_size(1,V2)                    /*  BYTE-SIZE                               */;
	T2= cl_ash(MAKE_FIXNUM(1),T1)             /*  ASH                              */;
	{cl_object V4= ecl_negate(T2);
	{cl_object V5= ecl_boole(ECL_BOOLANDC2,(V1),(V4));
	T3= cl_byte_position(1,V2)                /*  BYTE-POSITION                       */;
	T4= cl_ash(V5,T3)                         /*  ASH                                          */;
	value0=cl_logxor(3,V3,T0,T4)              /*  LOGXOR                            */;
	return value0;}}
}}
/*	function definition for DEPOSIT-FIELD                         */
cl_object cl_deposit_field(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT27 VLEX27 CLSR27 STCK27
	cl_object value0;
	if(narg!=3) FEwrong_num_arguments_anonym();
	{
TTL:
	T0= cl_byte_position(1,V2)                /*  BYTE-POSITION                       */;
	{cl_object V4= ecl_negate(T0);
	T1= cl_ash(V1,V4)                         /*  ASH                                          */;
	value0=cl_dpb(3,T1,V2,V3)                 /*  DPB                                  */;
	return value0;}
}}
	
#include "/builddir/build/BUILD/ecl-0.9l/build/lsp/numlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclBefUOtaX0oxmW_nx9hWQy(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	cl_object value0;
	cl_object *VVtemp;
	if (!FIXNUMP(flag)){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclBefUOtaX0oxmW_nx9hWQy@";
	VVtemp = Cblock->cblock.temp_data;
	(void)si_select_package(VVtemp[0])        /*  SELECT-PACKAGE  */;
	(void)si_Xmake_constant(ECL_SYM("SHORT-FLOAT-EPSILON",755),VVtemp[1]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-EPSILON",777),VVtemp[1]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-EPSILON",314),VVtemp[2]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("LONG-FLOAT-EPSILON",507),VVtemp[2]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("SHORT-FLOAT-NEGATIVE-EPSILON",756),VVtemp[3]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("SINGLE-FLOAT-NEGATIVE-EPSILON",778),VVtemp[3]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("DOUBLE-FLOAT-NEGATIVE-EPSILON",315),VVtemp[4]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(ECL_SYM("LONG-FLOAT-NEGATIVE-EPSILON",508),VVtemp[4]) /*  *MAKE-CONSTANT */;
	(void)si_Xmake_constant(VV[0],VVtemp[5])  /*  *MAKE-CONSTANT  */;
	(void)0; /* No entry created for ISQRT */
	(void)0; /* No entry created for PHASE */
	(void)0; /* No entry created for SIGNUM */
	(void)0; /* No entry created for CIS */
	(void)0; /* No entry created for ASIN */
	(void)0; /* No entry created for COMPLEX-ASIN */
	(void)0; /* No entry created for ACOS */
	(void)0; /* No entry created for COMPLEX-ACOS */
	(void)0; /* No entry created for ASINH */
	(void)0; /* No entry created for ACOSH */
	(void)0; /* No entry created for COMPLEX-ACOSH */
	(void)0; /* No entry created for ATANH */
	(void)0; /* No entry created for COMPLEX-ATANH */
	(void)0; /* No entry created for FFLOOR */
	(void)0; /* No entry created for FCEILING */
	(void)0; /* No entry created for FTRUNCATE */
	(void)0; /* No entry created for FROUND */
	(void)0; /* No entry created for LOGTEST */
	(void)0; /* No entry created for BYTE */
	(void)0; /* No entry created for BYTE-SIZE */
	(void)0; /* No entry created for BYTE-POSITION */
	(void)0; /* No entry created for LDB */
	(void)0; /* No entry created for LDB-TEST */
	(void)0; /* No entry created for MASK-FIELD */
	(void)0; /* No entry created for DPB */
	(void)0; /* No entry created for DEPOSIT-FIELD */
}
